Index: /branches/proxy/configure.ac
===================================================================
--- /branches/proxy/configure.ac	(revision 9316)
+++ /branches/proxy/configure.ac	(revision 9317)
@@ -449,5 +449,5 @@
     AC_CHECK_HEADERS([OpenGL/glu.h] ,,
       [AC_MSG_ERROR([cannot find opengl headers]) ])
-	AC_CHECK_LIB( OpenGL, main, , )
+        AC_CHECK_LIB( OpenGL, main, , )
    LIBS="$LIBS -framework OpenGL"
 
@@ -560,32 +560,32 @@
 #----#
 if test x$osX = xyes ; then
-#	PKG_CONFIG_PATH="$prefix"
-#	PKG_CHECK_MODULES( QT, QtOpenGL >= 4.01 QtCore >= 4.01 QtGui >= 4.0.1 )
-#	QT_INCLUDE_DIR=`$PKG_CONFIG --variable=includedir QtOpenGL QtCore QtGui`
+#       PKG_CONFIG_PATH="$prefix"
+#       PKG_CHECK_MODULES( QT, QtOpenGL >= 4.01 QtCore >= 4.01 QtGui >= 4.0.1 )
+#       QT_INCLUDE_DIR=`$PKG_CONFIG --variable=includedir QtOpenGL QtCore QtGui`
 #----------#
-	    AC_PATH_PROG([QT_MOC], [moc], [no], ["${QT_BIN_DIRECTORY}:${PATH}"])
-	      if test x${QT_MOC} = xno ; then
-	        AC_MSG_ERROR([QT MOC not found])
-	      fi
-	AC_SUBST([QT_MOC])
-
-	AC_PATH_PROG([QT_UIC], [uic], [no], ["${QT_BIN_DIRECTORY}:${PATH}"])
-	AC_SUBST([QT_UIC])
-
-	AC_PATH_PROG([QT_RCC], [rcc], [no], ["${QT_BIN_DIRECTORY}:${PATH}"])
-
-	AC_SUBST([QT_RCC])
-	AC_SUBST( QT_INCLUDE_DIR )
-	AC_SUBST( QT_CFLAGS )
-	AC_SUBST( QT_LDFLAGS )
-	AC_SUBST( QT_LIBS )
-	echo "QT_LIBS 			= $QT_LIBS"
-	echo "QT_CFLAGS 		= $QT_CFLAGS"
-	echo "QT_INCLUDE_DIR 	= $QT_INCLUDE_DIR"
+            AC_PATH_PROG([QT_MOC], [moc], [no], ["${QT_BIN_DIRECTORY}:${PATH}"])
+              if test x${QT_MOC} = xno ; then
+                AC_MSG_ERROR([QT MOC not found])
+              fi
+        AC_SUBST([QT_MOC])
+
+        AC_PATH_PROG([QT_UIC], [uic], [no], ["${QT_BIN_DIRECTORY}:${PATH}"])
+        AC_SUBST([QT_UIC])
+
+        AC_PATH_PROG([QT_RCC], [rcc], [no], ["${QT_BIN_DIRECTORY}:${PATH}"])
+
+        AC_SUBST([QT_RCC])
+        AC_SUBST( QT_INCLUDE_DIR )
+        AC_SUBST( QT_CFLAGS )
+        AC_SUBST( QT_LDFLAGS )
+        AC_SUBST( QT_LIBS )
+        echo "QT_LIBS                   = $QT_LIBS"
+        echo "QT_CFLAGS                 = $QT_CFLAGS"
+        echo "QT_INCLUDE_DIR    = $QT_INCLUDE_DIR"
 else
-	AX_CHECK_QT([${QT_PREFIX}], [QtCore QtCore4],, [http://www.trolltech.com])
-	if test x$have_qt = xno ; then
-   		WITH_QT=no
-	fi
+        AX_CHECK_QT([${QT_PREFIX}], [QtCore QtCore4],, [http://www.trolltech.com])
+        if test x$have_qt = xno ; then
+                WITH_QT=no
+        fi
 fi
 
@@ -672,4 +672,5 @@
                  src/subprojects/collision_detection/Makefile
                  src/subprojects/network/Makefile
+                 src/subprojects/recapture_mouse/Makefile
                  ])
 
Index: /branches/proxy/src/subprojects/recapture_mouse/Makefile.am
===================================================================
--- /branches/proxy/src/subprojects/recapture_mouse/Makefile.am	(revision 9317)
+++ /branches/proxy/src/subprojects/recapture_mouse/Makefile.am	(revision 9317)
@@ -0,0 +1,33 @@
+MAINSRCDIR=../..
+include $(MAINSRCDIR)/defs/include_paths.am
+
+LIB_PREFIX=$(MAINSRCDIR)/lib
+include $(MAINSRCDIR)/lib/BuildLibs.am
+
+
+importer_LDFLAGS = \
+		$(MWINDOWS)
+
+
+bin_PROGRAMS = \
+		recapturemouse
+
+
+DEPENDENCIES = \
+		$(MAINSRCDIR)/world_entities/libORXwe.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/util/libORXutils.a
+
+LDADD = \
+		$(MAINSRCDIR)/util/libORXutils.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/world_entities/libORXwe.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/util/libORXutils.a
+
+recapturemouse_SOURCES= \
+		../framework.cc \
+		recapturer.cc \
+		$(MAINSRCDIR)/world_entities/space_ships/space_ship.cc \
+		$(MAINSRCDIR)/world_entities/weapons/test_gun.cc
+
Index: /branches/proxy/src/subprojects/recapture_mouse/importer.cc
===================================================================
--- /branches/proxy/src/subprojects/recapture_mouse/importer.cc	(revision 9317)
+++ /branches/proxy/src/subprojects/recapture_mouse/importer.cc	(revision 9317)
@@ -0,0 +1,105 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+
+   this file extends the framework file, so it renders what i want.
+*/
+
+#include "framework.h"
+
+#include "light.h"
+
+#include "objModel.h"
+#include "md2/md2Model.h"
+#include "primitive_model.h"
+#include <stdlib.h>
+
+#include "vertex_array_model.h"
+
+#include "util/loading/resource_manager.h"
+
+Model* obj;
+
+void Framework::moduleInit(int argc, char** argv)
+{
+  ResourceManager::getInstance()->addImageDir("./");
+
+  for (int i = 0; i < argc; i++)
+  {
+    printf("%s\n", argv[i]);
+  }
+  ResourceManager::getInstance()->addImageDir("");
+
+
+  if (argc>=3)
+  {
+    if( strstr(argv[1], ".obj") != NULL)
+      obj = new OBJModel (argv[1], atof(argv[2]));
+    else if( strstr(argv[1], ".md2") != NULL)
+    {
+      obj = new MD2Model(argv[1], argv[2]);
+      ((MD2Model*)obj)->tick(0.1f);
+    }
+  }
+  else if (argc>=2)
+  {
+    if( strstr(argv[1], ".obj") != NULL)
+      obj = new OBJModel(argv[1]);
+    else if( strstr(argv[1], ".md2") != NULL) {
+      obj = new MD2Model(argv[1], "fake_texture.bad");
+      obj = new MD2Model(argv[1], argv[2]);
+      ((MD2Model*)obj)->tick(0.1f);
+    }
+  }
+ // else
+    obj = new PrimitiveModel(PRIM_CYLINDER);
+
+
+  ResourceManager::getInstance()->debug();
+
+  LightManager* lightMan = LightManager::getInstance();
+  lightMan->setAmbientColor(.1,.1,.1);
+  (new Light())->setAbsCoor(5.0, 10.0, 40.0);
+  (new Light())->setAbsCoor(-10, -20, -100);
+}
+
+void Framework::moduleEventHandler(SDL_Event* event)
+{
+  switch (event->type)
+    {
+    case SDL_KEYDOWN:
+      switch (event->key.keysym.sym)
+        {
+        case SDLK_i:
+          break;
+        }
+    }
+}
+
+void Framework::moduleTick(float dt)
+{
+
+}
+
+void Framework::moduleDraw(void) const
+{
+  LightManager::getInstance()->draw();
+  obj->draw();
+
+}
+
+
+void Framework::moduleHelp(void) const
+{
+
+}
Index: /branches/proxy/src/subprojects/recapture_mouse/movie_player_test.cc
===================================================================
--- /branches/proxy/src/subprojects/recapture_mouse/movie_player_test.cc	(revision 9317)
+++ /branches/proxy/src/subprojects/recapture_mouse/movie_player_test.cc	(revision 9317)
@@ -0,0 +1,85 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: David Hasenfratz
+   co-programmer: ...
+
+   this file extends the framework file, so it renders what i want.
+*/
+
+#include <stdlib.h>
+
+#include "framework.h"
+#include "movie_player.h"
+
+MoviePlayer* movie_player;
+
+void Framework::moduleInit(int argc, char** argv)
+{
+  if( argc <= 1)
+  {
+    printf("Wrong arguments try following notations:\n");
+    printf("./movie_player_test [media_file]\n");
+    exit(0);
+  }
+
+  movie_player = new MoviePlayer(argv[1]);
+
+  
+  movie_player->printInformation();
+}
+
+void Framework::moduleEventHandler(SDL_Event* event)
+{
+  switch (event->type)
+  {
+    case SDL_KEYDOWN:
+      switch (event->key.keysym.sym)
+      {
+        case SDLK_1:
+          movie_player->start(0);
+          break;
+        case SDLK_2:
+          movie_player->resume();
+          break;
+        case SDLK_3:
+          movie_player->pause();
+          break;
+        case SDLK_4:
+          movie_player->stop();
+          break;
+        case SDLK_9:
+          movie_player->setFPS(movie_player->getFPS() - 1);
+          PRINTF(0)("fps: %0.2f\n", movie_player->getFPS());
+          break;
+        case SDLK_0:
+          movie_player->setFPS(movie_player->getFPS() + 1);
+          PRINTF(0)("fps: %0.2f\n", movie_player->getFPS());
+          break;
+      }
+  }
+}
+
+void Framework::moduleTick(float dt)
+{
+  movie_player->tick(dt);
+}
+
+void Framework::moduleDraw(void) const
+{
+  movie_player->draw();
+}
+
+
+void Framework::moduleHelp(void) const
+{
+
+}
Index: /branches/proxy/src/subprojects/recapture_mouse/multitex.cc
===================================================================
--- /branches/proxy/src/subprojects/recapture_mouse/multitex.cc	(revision 9317)
+++ /branches/proxy/src/subprojects/recapture_mouse/multitex.cc	(revision 9317)
@@ -0,0 +1,119 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: David Hasenfratz
+   co-programmer: ...
+
+   this file extends the framework file, so it renders what i want.
+*/
+
+#include "framework.h"
+
+#include "light.h"
+
+#include "material.h"
+#include "primitive_model.h"
+#include <stdlib.h>
+
+#include "media_container.h"
+
+Model* obj;
+Material* testMat;
+MediaContainer* media_container;
+
+int counter = 0;
+float timer = 0;
+float fps;
+
+
+void Framework::moduleInit(int argc, char** argv)
+{
+  if( argc <= 1)
+  {
+    printf("Wrong arguments try following notations:\n");
+    printf("./multitex [media_file]\n");
+    exit(0);
+  }
+
+  media_container = new MediaContainer(argv[1]);
+
+  testMat = new Material;
+  testMat->setDiffuseMap("maps/radialTransparency.png");
+  obj = new PrimitiveModel(PRIM_PLANE, 10.0);
+
+  LightManager* lightMan = LightManager::getInstance();
+  lightMan->setAmbientColor(.1,.1,.1);
+  (new Light())->setAbsCoor(5.0, 10.0, 40.0);
+  (new Light())->setAbsCoor(-10, -20, -100);
+
+  fps = media_container->getFPS();
+}
+
+void Framework::moduleEventHandler(SDL_Event* event)
+{
+  switch (event->type)
+    {
+    case SDL_KEYDOWN:
+      switch (event->key.keysym.sym)
+        {
+        case SDLK_1:
+          obj = new PrimitiveModel(PRIM_CUBE, 10.0);
+          break;
+        case SDLK_2:
+          obj = new PrimitiveModel(PRIM_SPHERE, 10.0);
+          break;
+        case SDLK_3:
+          obj = new PrimitiveModel(PRIM_PLANE, 10.0);
+          break;
+        // increase fps
+        case SDLK_9:
+          fps++;
+          PRINTF(0)("fps: %0.2f\n", fps);
+          break;
+        // decrease fps
+        case SDLK_8:
+          if(fps > 0)
+            fps--;
+          PRINTF(0)("fps: %0.2f\n", fps);
+          break;
+        }
+    }
+}
+
+void Framework::moduleTick(float dt)
+{
+  timer += dt;
+
+  if(counter != fps * timer)
+  {
+    counter = fps * timer;
+
+    if (counter >= media_container->getFrameCount())
+    {
+      timer = 0;
+      counter = 0;
+    }
+  }
+}
+
+void Framework::moduleDraw(void) const
+{
+  testMat->select();
+  glBindTexture(GL_TEXTURE_2D, media_container->getFrameTexture(counter));
+  obj->draw();
+
+  LightManager::getInstance()->draw();
+}
+
+void Framework::moduleHelp(void) const
+{
+
+}