Index: code/branches/presentation2012merge/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/infos/GametypeInfo.cc	(revision 9272)
+++ code/branches/presentation2012merge/src/orxonox/infos/GametypeInfo.cc	(revision 9333)
@@ -68,5 +68,5 @@
     {
         RegisterObject(GametypeInfo);
-        
+
         this->bStarted_ = false;
         this->bEnded_ = false;
@@ -165,9 +165,9 @@
         if(this->bStarted_)
            { return;}
-        
+
         this->bStarted_ = true;
         this->changedStarted();
-        
-       
+
+
     }
 
@@ -195,5 +195,5 @@
         if(this->startCountdown_ == countdown || countdown < 0.0f)
             return;
-        
+
         this->startCountdown_ = countdown;
         // Set the counter to the ceiling of the current countdown.
@@ -225,5 +225,5 @@
         if(this->counter_ == 0)
             return;
-        
+
         this->counter_--;
         this->changedCountdownCounter();
@@ -325,5 +325,5 @@
         if(this->spawned_ == spawned)
             return;
-        
+
         this->spawned_ = spawned;
         // Clear the notifications if the Player has spawned.
@@ -395,5 +395,5 @@
     // TODO: Replace with notifications.
 
-    void GametypeInfo::sendAnnounceMessage(const std::string& message)
+    void GametypeInfo::sendAnnounceMessage(const std::string& message) const
     {
         if (GameMode::isMaster())
@@ -404,5 +404,5 @@
     }
 
-    void GametypeInfo::sendAnnounceMessage(const std::string& message, unsigned int clientID)
+    void GametypeInfo::sendAnnounceMessage(const std::string& message, unsigned int clientID) const
     {
         if (GameMode::isMaster())
@@ -415,5 +415,5 @@
     }
 
-    void GametypeInfo::sendKillMessage(const std::string& message, unsigned int clientID)
+    void GametypeInfo::sendKillMessage(const std::string& message, unsigned int clientID) const
     {
         if (GameMode::isMaster())
@@ -426,5 +426,5 @@
     }
 
-    void GametypeInfo::sendDeathMessage(const std::string& message, unsigned int clientID)
+    void GametypeInfo::sendDeathMessage(const std::string& message, unsigned int clientID) const
     {
         if (GameMode::isMaster())
@@ -437,5 +437,5 @@
     }
 
-    void GametypeInfo::sendStaticMessage(const std::string& message, unsigned int clientID, const ColourValue& colour)
+    void GametypeInfo::sendStaticMessage(const std::string& message, unsigned int clientID, const ColourValue& colour) const
     {
         if (GameMode::isMaster())
@@ -448,5 +448,5 @@
     }
 
-    void GametypeInfo::sendFadingMessage(const std::string& message, unsigned int clientID)
+    void GametypeInfo::sendFadingMessage(const std::string& message, unsigned int clientID) const
     {
         if (GameMode::isMaster())
@@ -459,5 +459,5 @@
     }
 
-    void GametypeInfo::dispatchAnnounceMessage(const std::string& message)
+    void GametypeInfo::dispatchAnnounceMessage(const std::string& message) const
     {
         for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
@@ -465,5 +465,5 @@
     }
 
-    void GametypeInfo::dispatchKillMessage(const std::string& message)
+    void GametypeInfo::dispatchKillMessage(const std::string& message) const
     {
         for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
@@ -471,5 +471,5 @@
     }
 
-    void GametypeInfo::dispatchDeathMessage(const std::string& message)
+    void GametypeInfo::dispatchDeathMessage(const std::string& message) const
     {
         for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
@@ -477,5 +477,5 @@
     }
 
-     void GametypeInfo::dispatchStaticMessage(const std::string& message, const ColourValue& colour)
+     void GametypeInfo::dispatchStaticMessage(const std::string& message, const ColourValue& colour) const
     {
         for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
@@ -483,5 +483,5 @@
     }
 
-     void GametypeInfo::dispatchFadingMessage(const std::string& message)
+     void GametypeInfo::dispatchFadingMessage(const std::string& message) const
     {
         for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
Index: code/branches/presentation2012merge/src/orxonox/infos/GametypeInfo.h
===================================================================
--- code/branches/presentation2012merge/src/orxonox/infos/GametypeInfo.h	(revision 9272)
+++ code/branches/presentation2012merge/src/orxonox/infos/GametypeInfo.h	(revision 9333)
@@ -68,5 +68,5 @@
                 { return this->bStarted_; }
             void changedStarted(void); // Is called when the game has changed to started.
-            
+
             /**
             @brief Get whether the game has ended yet.
@@ -108,5 +108,5 @@
                 { return this->readyToSpawn_; }
             void changedReadyToSpawn(bool ready); // Inform the GametypeInfo that the local player has changed its spawned status.
-            
+
             /**
             @brief Get whether the local player is spawned.
@@ -119,21 +119,21 @@
             inline const std::string& getHUDTemplate() const
                 { return this->hudtemplate_; }
-            
+
             inline unsigned int getNumberOfPlayers() const
                 {  return this->spawnedPlayers_.size(); }
 
-            void sendAnnounceMessage(const std::string& message);
-            void sendAnnounceMessage(const std::string& message, unsigned int clientID);
-            void sendKillMessage(const std::string& message, unsigned int clientID);
-            void sendDeathMessage(const std::string& message, unsigned int clientID);
-            void sendStaticMessage(const std::string& message, unsigned int clientID, const ColourValue& colour);
-            void sendFadingMessage(const std::string& message, unsigned int clientID);
+            void sendAnnounceMessage(const std::string& message) const;
+            void sendAnnounceMessage(const std::string& message, unsigned int clientID) const;
+            void sendKillMessage(const std::string& message, unsigned int clientID) const;
+            void sendDeathMessage(const std::string& message, unsigned int clientID) const;
+            void sendStaticMessage(const std::string& message, unsigned int clientID, const ColourValue& colour) const;
+            void sendFadingMessage(const std::string& message, unsigned int clientID) const;
 
-            void dispatchAnnounceMessage(const std::string& message);
-            void dispatchKillMessage(const std::string& message);
-            void dispatchDeathMessage(const std::string& message);
-            void dispatchStaticMessage(const std::string& message,const ColourValue& colour);
-            void dispatchFadingMessage(const std::string& message);
-            
+            void dispatchAnnounceMessage(const std::string& message) const;
+            void dispatchKillMessage(const std::string& message) const;
+            void dispatchDeathMessage(const std::string& message) const;
+            void dispatchStaticMessage(const std::string& message,const ColourValue& colour) const;
+            void dispatchFadingMessage(const std::string& message) const;
+
         protected:
             void start(void); // Inform the GametypeInfo that the game has started.
@@ -165,5 +165,5 @@
             unsigned int counter_; //!< The current integer value of the start countdown, the start countdown counter.
             std::string hudtemplate_;
-            
+
             std::set<PlayerInfo*> spawnedPlayers_; //!< A set of players that are currently spawned.
             bool spawned_; //!< Whether the local Player is currently spawned.